Bug 149707 - DOCX Track Changes: Writer does not export change tracking of the paragraph mark of a moved list item, resulting interoperability problems (see Comment 3 and Comment 4)
Summary: DOCX Track Changes: Writer does not export change tracking of the paragraph m...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.0.2
Keywords: filter:docx
Depends on:
Blocks: Track-Changes-Lists
  Show dependency treegraph
 
Reported: 2022-06-24 07:20 UTC by NISZ LibreOffice Team
Modified: 2022-07-26 10:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from LO 5.4 (9.41 KB, application/vnd.oasis.opendocument.text)
2022-06-24 07:22 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-06-24 07:20:49 UTC
Description:
Writer does not show the change in serial numbers in numbered lists when an item is deleted.

Steps to Reproduce:
1. Create a numbered list in LibreOffice Writer.
2. Record Track Changes. (Ctrl - Shift - E)
3. Delete an element of the list.
4. Accept the change.

Actual Results:
Writer shows, that the second list item in Show Changes mode is still the second list item of the actual list.
Writer does not show serial number 2. instead of serial number 3 in the last item.
Writer does not show serial number 3, as the old (original) numbering of the last item.

Expected Results:
Show that the second list item is not the second one any more.
Show that the last item is the second list item now.
Show that the last item was the third list item previously.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 1eaf11278a2f2f81fbff774fef73f72a6b1a4efb
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2022-06-24 07:22:00 UTC
Created attachment 180943 [details]
Example file from LO 5.4
Comment 2 NISZ LibreOffice Team 2022-06-24 07:23:52 UTC
Note:
Follow-up to Bug 115523
Comment 3 László Németh 2022-07-12 15:48:56 UTC
moveFrom and moveTo paragraph marks are imported as old paragraphs with new content, i.e. accepting a removed list item and rejecting an inserted list item leave empty list items instead removing the list items completely.
Comment 4 László Németh 2022-07-12 15:56:06 UTC
Note: the incomplete DOCX export results interoperability problem in MSO.
Comment 5 Commit Notification 2022-07-12 17:25:16 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c903c91aced13ae296456e54a5c90d7ca3938594

tdf#149707 sw_redlinenum DOCX export: fix tracked moving of list items

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-07-13 07:27:33 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/1e0ea56691bee9bd44e657bb4dca77d29c43ec76

tdf#149707 sw_redlinenum DOCX export: fix tracked moving of list items

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 NISZ LibreOffice Team 2022-07-26 10:06:27 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 5df1bb4b1b222be00d25097660c4ee33542896ea
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL